<!-- prettier-ignore-start -->
# Class SOAPServiceDefinition

- [TopLevel.Object](TopLevel.Object.md)
  - [dw.svc.ServiceDefinition](dw.svc.ServiceDefinition.md)
    - [dw.svc.SOAPServiceDefinition](dw.svc.SOAPServiceDefinition.md)

Represents a SOAP WebService definition.

**Deprecated:**
:::warning
This class is only used with the deprecated [ServiceRegistry](dw.svc.ServiceRegistry.md). Use the [LocalServiceRegistry](dw.svc.LocalServiceRegistry.md)
            instead, which allows configuration on the [SOAPService](dw.svc.SOAPService.md) directly.

:::
**API Version:**
:::note
No longer available as of version 19.10.
:::

## Constructor Summary

This class does not have a constructor, so you cannot create it directly.
## Method Summary

### Methods inherited from class ServiceDefinition

[configure](dw.svc.ServiceDefinition.md#configureobject), [getConfiguration](dw.svc.ServiceDefinition.md#getconfiguration), [getServiceName](dw.svc.ServiceDefinition.md#getservicename), [isMock](dw.svc.ServiceDefinition.md#ismock), [isThrowOnError](dw.svc.ServiceDefinition.md#isthrowonerror), [setMock](dw.svc.ServiceDefinition.md#setmock), [setThrowOnError](dw.svc.ServiceDefinition.md#setthrowonerror)
### Methods inherited from class Object

[assign](TopLevel.Object.md#assignobject-object), [create](TopLevel.Object.md#createobject), [create](TopLevel.Object.md#createobject-object), [defineProperties](TopLevel.Object.md#definepropertiesobject-object), [defineProperty](TopLevel.Object.md#definepropertyobject-object-object), [entries](TopLevel.Object.md#entriesobject), [freeze](TopLevel.Object.md#freezeobject), [fromEntries](TopLevel.Object.md#fromentriesiterable), [getOwnPropertyDescriptor](TopLevel.Object.md#getownpropertydescriptorobject-object), [getOwnPropertyNames](TopLevel.Object.md#getownpropertynamesobject), [getOwnPropertySymbols](TopLevel.Object.md#getownpropertysymbolsobject), [getPrototypeOf](TopLevel.Object.md#getprototypeofobject), [hasOwnProperty](TopLevel.Object.md#hasownpropertystring), [is](TopLevel.Object.md#isobject-object), [isExtensible](TopLevel.Object.md#isextensibleobject), [isFrozen](TopLevel.Object.md#isfrozenobject), [isPrototypeOf](TopLevel.Object.md#isprototypeofobject), [isSealed](TopLevel.Object.md#issealedobject), [keys](TopLevel.Object.md#keysobject), [preventExtensions](TopLevel.Object.md#preventextensionsobject), [propertyIsEnumerable](TopLevel.Object.md#propertyisenumerablestring), [seal](TopLevel.Object.md#sealobject), [setPrototypeOf](TopLevel.Object.md#setprototypeofobject-object), [toLocaleString](TopLevel.Object.md#tolocalestring), [toString](TopLevel.Object.md#tostring), [valueOf](TopLevel.Object.md#valueof), [values](TopLevel.Object.md#valuesobject)
<!-- prettier-ignore-end -->
